Improve cirrus-cache.sh

Print md5 as part of cache scripts.
Address spellcheck issues (quote variables).
Remove dead variables.
Improve output in general and pipe errors to stderr.
Fully spell out curl options for better readability.
Always show error with curl.
This commit is contained in:
Marco Borgeaud 2024-08-14 09:08:55 +02:00
parent 62a8196ac9
commit 997bd49f75
2 changed files with 21 additions and 21 deletions

View File

@ -117,12 +117,12 @@ validate_links_task:
LINK_CACHE_PATH: /root/link-probing-history.cache LINK_CACHE_PATH: /root/link-probing-history.cache
cache_download_script: cache_download_script:
- bash ci/cirrus-cache.sh download ${LINK_CACHE_NAME} ${LINK_CACHE_PATH} - bash ci/cirrus-cache.sh download ${LINK_CACHE_NAME} ${LINK_CACHE_PATH}
tests_script:
- md5sum /root/link-probing-history.cache/link_probes.history || true - md5sum /root/link-probing-history.cache/link_probes.history || true
tests_script:
- ./ci/validate_links.sh ${LINK_CACHE_PATH} - ./ci/validate_links.sh ${LINK_CACHE_PATH}
- md5sum /root/link-probing-history.cache/link_probes.history
always: always:
cache_upload_script: cache_upload_script:
- md5sum /root/link-probing-history.cache/link_probes.history || true
- bash ci/cirrus-cache.sh upload ${LINK_CACHE_NAME} ${LINK_CACHE_PATH} - bash ci/cirrus-cache.sh upload ${LINK_CACHE_NAME} ${LINK_CACHE_PATH}
validate_file_extensions_task: validate_file_extensions_task:

View File

@ -6,38 +6,38 @@ ACTION=${1}
CACHE_NAME=${2} CACHE_NAME=${2}
PATH_TO_CACHE=${3} PATH_TO_CACHE=${3}
CACHE_KEY=${CACHE_NAME} CACHE_URL="http://${CIRRUS_HTTP_CACHE_HOST}/${CACHE_NAME}"
DEFAULT_CACHE_KEY=${CACHE_NAME}
CACHE_URL=http://${CIRRUS_HTTP_CACHE_HOST}/${CACHE_KEY} TMP_PATH="/tmp/tmp-cache.tgz"
TMP_PATH=/tmp/tmp-cache.tgz
case "${ACTION}" in case "${ACTION}" in
download) download)
echo "Download cache with key ${CACHE_KEY}" echo "Download cache with key ${CACHE_NAME} from ${CACHE_URL}"
curl --silent --show-error --fail --location --output "${TMP_PATH}" "${CACHE_URL}" || {
echo " -> try ${CACHE_URL}" echo "Cache download failed" >&2
curl -sfSL -o ${TMP_PATH} ${CACHE_URL} || { exit 0
echo "Cache download failed";
exit 0;
} }
du -hs ${TMP_PATH} du -hs "${TMP_PATH}"
tar -Pxzf ${TMP_PATH} tar -Pxzf "${TMP_PATH}"
rm ${TMP_PATH} rm "${TMP_PATH}"
;; ;;
upload) upload)
echo "Upload cache to ${CACHE_URL}" echo "Upload cache to ${CACHE_URL}"
tar -Pczf ${TMP_PATH} ${PATH_TO_CACHE} tar -Pczf "${TMP_PATH}" "${PATH_TO_CACHE}"
du -hs ${TMP_PATH} du -hs "${TMP_PATH}"
curl -s -X POST --data-binary @${TMP_PATH} ${CACHE_URL} curl --silent --show-error -X POST --data-binary "@${TMP_PATH}" "${CACHE_URL}" || {
echo "Cache upload failed" >&2
exit 0
}
;; ;;
*) *)
echo "Unexpected cache ACTION: ${ACTION}" echo "Unexpected cache ACTION: ${ACTION}" >&2
exit 1 exit 1
;; ;;
esac esac
echo "Cache ${ACTION}ed succeeded."